Subject: bug#7789: cannot send smtpmail using gmail & tls on woe32

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jan 2011 22:09:12 +0200

> Date: Fri, 7 Jan 2011 13:55:25 -0500
> From: Sam Steingold <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> the major difference is the conspicuous presence of ^M ("\r") chars in
> the smtp trace buffer on windows.
> when I use cygwin gnutls-cli, _all_ lines contain it.
> when I use the native port, only _some_ lines do.
> I wonder if the unconditional setting of coding-system in smtpmail.el
> is the culprit.

What unconditional setting? where in smtpmail.el do you see it?

In general, the encoding of incoming and outgoing data for
communications with subprocesses can be tuned with
process-coding-system-alist (unless smtpmail overrides that).